Bug 1351825 - [RHEL 6]: yum groups install RH-Gluster-NFS-Ganesha fails due to outdated nfs-ganesha-nullfs
Summary: [RHEL 6]: yum groups install RH-Gluster-NFS-Ganesha fails due to outdated nfs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: releng
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Release Candidate
: RHGS 3.2.0
Assignee: Sreenath G
QA Contact: surabhi
URL:
Whiteboard:
Depends On:
Blocks: 1351522
TreeView+ depends on / blocked
 
Reported: 2016-07-01 01:27 UTC by Ken Sugawara
Modified: 2017-05-08 06:06 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1434379 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:38:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1434379 None None None Never

Internal Links: 1434379

Description Ken Sugawara 2016-07-01 01:27:51 UTC
Description of problem:
When performing layer install of RHGS 3.1.3, "yum groups install RH-Gluster-NFS-Ganesha" fails due to the out-of-date nfs-ganesha-nullfs depending on an old version of nfs-ganesha

Version-Release number of selected component (if applicable):
RHGS 3.1.3
nfs-ganesha-nullfs-2.2.0-5.el7rhgs.x86_64
nfs-ganesha-2.3.1-8.el7rhgs.x86_64
nfs-ganesha-gluster-2.3.1-8.el7rhgs.x86_64

How reproducible:
Always as of right now.

Steps to Reproduce:
1. Perform RHGS layered install on RHEL 7
2. Do "yum groups install RH-Gluster-NFS-Ganesha"
3. 

Actual results:
...
--> Finished Dependency Resolution
Error: Package: nfs-ganesha-nullfs-2.2.0-5.el7rhgs.x86_64 (...)
           Requires: nfs-ganesha = 2.2.0-5.el7rhgs
           Available: nfs-ganesha-2.2.0-5.el7rhgs.x86_64 (...)
               nfs-ganesha = 2.2.0-5.el7rhgs
           Available: nfs-ganesha-2.2.0-9.el7rhgs.x86_64 (...)
               nfs-ganesha = 2.2.0-9.el7rhgs
           Available: nfs-ganesha-2.2.0-12.el7rhgs.x86_64 (...)
               nfs-ganesha = 2.2.0-12.el7rhgs
           Installing: nfs-ganesha-2.3.1-8.el7rhgs.x86_64 (...)
               nfs-ganesha = 2.3.1-8.el7rhgs
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
"yum groups install RH-Gluster-NFS-Ganesha" succeeds without the error.


Additional info:
The root cause of this problem is that nfs-ganesha and nfs-ganesha-gluster are updated to 2.3.1-8.el7rhgs but nfs-ganesha-nullfs isn't (still 2.2.0-5.el7rhgs, requiring nfs-ganesha of the same version-release).

There's a workaround: Before installing glusterfs-ganesha, you can manually yum install nfs-ganesha-2.2.0-5.el7rhgs nfs-ganesha-gluster-2.2.0-5.el7rhgs nfs-ganesha-nullfs-2.2.0-5.el7rhgs

The fix should be nfs-ganesha-nullfs is either updated to 2.3.1-8.el7rhgs to match the other rpms, or booted from RH-Gluster-NFS-Ganesha group (if it's not necessary).

Comment 2 Soumya Koduri 2016-07-01 09:20:45 UTC
nfs-ganesha-nullfs was not required to configure nfs-ganesha on RedHat Gluster storage nodes. Hence as part of bug1247574, a fix has been made to prevent building nfs-ganesha-nullfs rpm while building nfs-ganesha package. Considering there are known issues with "yum groups install" and it is not documented in the installation guide as well, request you to install the package as documented.

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Installation_Guide/chap-Deploying_NFSGanesha.html

# yum install glusterfs-ganesha

Meanwhile request releng team to remove the nfs-ganesha-nullfs package from the group and let us know in case of anything required to do the needful.

Comment 3 Ken Sugawara 2016-07-04 03:43:08 UTC
(In reply to Soumya Koduri from comment #2)
> nfs-ganesha-nullfs was not required to configure nfs-ganesha on RedHat
> Gluster storage nodes. Hence as part of bug1247574, a fix has been made to
> prevent building nfs-ganesha-nullfs rpm while building nfs-ganesha package.
> Considering there are known issues with "yum groups install" and it is not
> documented in the installation guide as well, request you to install the
> package as documented.
> 
> https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/
> Installation_Guide/chap-Deploying_NFSGanesha.html
> 
> # yum install glusterfs-ganesha

Right, but it also says "While installing Red Hat Storage using an ISO, in the Customizing the Software Selection screen, select RH-Gluster-NFS-Ganesha and click Next" which has (or at least, should have) the same effect as "yum groups install RH-Gluster-NFS-Ganesha".

I'd also like to point out that the Installation Guide tells you to do "yum groupinstall" (which is one of many remaining RHEL-6-ism in the RHGS docos, BTW) for RH-Gluster-Samba-Server and RH-Gluster-AD-Integration, so, having read the previous chapter, one might assume group installing RH-Gluster-NFS-Ganesha would work as well.

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Installation_Guide/index.html#Installing_Samba_Using_yum

Lastly, I'm fine with the solution of removing nfs-ganesha-nullfs from the group.

Thanks,

Comment 8 Sreenath G 2017-03-06 06:43:24 UTC
The updated comps groups have been updated in RHN & CDN channels, but there are some problems seen in reflecting the content for some RHN channels. Working on to fix this.

Comment 9 Sreenath G 2017-03-08 06:28:55 UTC
The comps groups have been updated and is visible in CDN-stage

Comment 10 surabhi 2017-03-09 15:15:53 UTC
Tried the groupinstall on satellite-stage environment, it still fails with 

---> Package rubygem-json.x86_64 0:1.7.7-29.el7 will be installed
--> Finished Dependency Resolution
Error: Package: nfs-ganesha-nullfs-2.2.0-5.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
           Requires: nfs-ganesha = 2.2.0-5.el7rhgs
           Available: nfs-ganesha-2.2.0-5.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.2.0-5.el7rhgs
           Available: nfs-ganesha-2.2.0-9.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.2.0-9.el7rhgs
           Available: nfs-ganesha-2.2.0-12.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.2.0-12.el7rhgs
           Installing: nfs-ganesha-2.3.1-8.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.3.1-8.el7rhgs
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Trying with syncing of satellite stage with code.stage to see if it gets the changes in and will update if it works.

From CDN stage the group listing doesn't shows any of the rhgs groups.
Need to check with Sreenath.

Comment 11 surabhi 2017-03-09 15:49:01 UTC
Tried after syncing from code.stage still the error is seen. Yum groupinstall of samba related groups works fine the issue with nfs-ganesha groups still remains same.

Comment 12 surabhi 2017-03-14 08:12:25 UTC
As discussed with Sreenath, For debugging ,the grouplist of gluster has been removed from rhn.code.stage environment. I tried subscribing to rhn.code.stage and I don't see any groups related to rhgs listed there. Request sreenath to do the next steps so that i could verify it.

Comment 13 surabhi 2017-03-15 17:35:26 UTC
I tried the test of yum group install of NFS-Ganesha and it worked in RHN code.stage environment on RHEL6.

Need to test on following as well:

CDN stage : RHEL6 & RHEL7
Satellite stage : RHEL7

Then will update.

Comment 14 Sreenath G 2017-03-16 15:52:03 UTC
The CDN-stage for both RHEL-7 and RHEL-6 has been updated again with the latest comps file.

Comment 15 surabhi 2017-03-17 17:03:25 UTC
RHEL6 RHN-stage : Successfull
RHEL6 CDN stage : Successfull

RHEL7 RHN-stage : Yum groupinstall of NFS-Ganesha fails
RHEL7 CDN stage : Yum grouplist doesn't list any RHGS group and gives following message while listing : "There is no installed groups file."

Comment 16 surabhi 2017-03-21 10:43:27 UTC
On RHEL7 RHN-Stage : it fails with the same error:

There is no installed groups file.
Maybe run: yum groups mark convert (see man yum)
Resolving Dependencies
--> Running transaction check
---> Package glusterfs-ganesha.x86_64 0:3.8.4-18.el7rhgs will be installed
---> Package nfs-ganesha.x86_64 0:2.4.1-9.el7rhgs will be installed
--> Processing Dependency: libntirpc.so.1.4(NTIRPC_1.4.3)(64bit) for package: nfs-ganesha-2.4.1-9.el7rhgs.x86_64
--> Processing Dependency: libntirpc.so.1.4()(64bit) for package: nfs-ganesha-2.4.1-9.el7rhgs.x86_64
---> Package nfs-ganesha-gluster.x86_64 0:2.4.1-9.el7rhgs will be installed
---> Package nfs-ganesha-nullfs.x86_64 0:2.2.0-5.el7rhgs will be installed
--> Processing Dependency: nfs-ganesha = 2.2.0-5.el7rhgs for package: nfs-ganesha-nullfs-2.2.0-5.el7rhgs.x86_64
--> Running transaction check
---> Package libntirpc.x86_64 0:1.4.3-1.el7rhgs will be installed
---> Package nfs-ganesha-nullfs.x86_64 0:2.2.0-5.el7rhgs will be installed
--> Processing Dependency: nfs-ganesha = 2.2.0-5.el7rhgs for package: nfs-ganesha-nullfs-2.2.0-5.el7rhgs.x86_64
--> Finished Dependency Resolution
Error: Package: nfs-ganesha-nullfs-2.2.0-5.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
           Requires: nfs-ganesha = 2.2.0-5.el7rhgs
           Available: nfs-ganesha-2.2.0-5.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.2.0-5.el7rhgs
           Available: nfs-ganesha-2.2.0-9.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.2.0-9.el7rhgs
           Available: nfs-ganesha-2.2.0-12.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.2.0-12.el7rhgs
           Available: nfs-ganesha-2.3.1-8.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.3.1-8.el7rhgs
           Installing: nfs-ganesha-2.4.1-9.el7rhgs.x86_64 (rhel-x86_64-server-7-rh-gluster-3-nfs)
               nfs-ganesha = 2.4.1-9.el7rhgs
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


On RHEL7 CDN-stage : the groups are not listed.

Comment 18 surabhi 2017-03-21 12:09:11 UTC
This issue is fixed only in RHEL6 and not on RHEL7. There is a BZ cloned [1434379] for RHEL7 and to be considered for next release as there are challenges in fixing it now.

Moving this BZ to verified as the yum groupinstall of NFS-ganesha works on RHEL6 RHN and CDN environment.

Comment 20 errata-xmlrpc 2017-03-23 05:38:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.